
QGIS Application - Bug report #2399

Build fails for r12842.

2010-01-28 06:42 AM - Sandro Santilli

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: SuSE Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12459

Description

In file included from /net/lafont/home/santisa/src/qgis/qgis/src/core/symbology-ng/qgssymbolv2.cpp:5:

/net/lafont/home/santisa/src/qgis/qgis/src/core/symbology-ng/qgslinesymbollayerv2.h:70: error: field ‘mCustomDashVector’ has

incomplete type

/net/lafont/home/santisa/src/qgis/qgis/src/core/symbology-ng/qgslinesymbollayerv2.h: In member function ‘QVector<double>

[[QgsSimpleLineSymbolLayerV]]2::customDashVector() const’:

/net/lafont/home/santisa/src/qgis/qgis/src/core/symbology-ng/qgslinesymbollayerv2.h:58: error: return type ‘struct QVector<double>’ is

incomplete

/net/lafont/home/santisa/src/qgis/qgis/src/core/symbology-ng/qgslinesymbollayerv2.h:58: error: ‘mCustomDashVector’ was not declared

in this scope

/net/lafont/home/santisa/src/qgis/qgis/src/core/symbology-ng/qgslinesymbollayerv2.h: In member function ‘void

[[QgsSimpleLineSymbolLayerV]]2::setCustomDashVector(const QVector<double>&)’:

/net/lafont/home/santisa/src/qgis/qgis/src/core/symbology-ng/qgslinesymbollayerv2.h:59: error: ‘mCustomDashVector’ was not declared

in this scope

History

#1 - 2010-01-28 07:37 AM - Marco Hugentobler

Hm, probably it was a problem only with certain compiler versions.

Try , I hope it will fix the problem.

#2 - 2010-01-29 03:02 AM - Sandro Santilli

As of  that problem is gone, now another is exposed:

src/core/symbology-ng/qgssymbolv2.h:104: error: non-static reference member ‘QgsRenderContext& [[QgsSymbolV]]2RenderContext::mRenderContext’,

can't use default assignment operator

sipcorepart0.cpp: In function ‘void assign_QgsSymbolV2RenderContext(void*, const void*)’:

sipcorepart0.cpp:13644: note: synthesized method ‘QgsSymbolV2RenderContext& [[QgsSymbolV]]2RenderContext::operator=(const

[[QgsSymbolV]]2RenderContext&)’ first required here

maker2: * [python/CMakeFiles/python_module_qgis_core.dir/core/sipcorepart0.cpp.o] Error 1

maker1:  [python/CMakeFiles/python_module_qgis_core.dir/all] Error 2

make: ** [all] Error 2

(could be already reported as I think I've read something about SIP being broked on the mailing list)

#3 - 2010-02-10 03:16 AM - Paolo Cavallini
Still valid?

#4 - 2010-02-10 08:09 AM - Sandro Santilli

Yes, still as of commit:8cd99cd4 (SVN r12920)

src/qgis/build/src/helpviewer/ui_qgshelpviewerbase.h:20:29: error: [[QtWebKit]]

/QWebView: No such file or directory

I configured using: cmake -D WITH_QWT=FALSE

Anything else I should add to the cmake call to disable [[QtWebKit]] or is that it ?

If that's all, it is still a bug.

#5 - 2010-02-10 09:18 AM - Martin Dobias

What Qt version do you use? At least Qt4.4 is necessary due [[QtWebKit]] component.

WITH_QWT cmake variable has other meaning: it says whether compile also parts that depend on Qwt toolkit (currently only GPS tracking widget).

#6 - 2010-02-14 11:49 PM - Sandro Santilli

libQtCore.so.4.4.3

qglobal.h:#define QT_VERSION_STR "4.4.3"

I guess I could do w/out [[QtWebKit]], if there's a way to specify that

at configure/cmake time.

#7 - 2010-02-16 03:37 AM - Martin Dobias

[[QtWebKit]] is a required part for the help viewer.

Any chance the qtwebkit include files are not present on your system? (search e.g. for qwebview.h)

#8 - 2010-02-24 01:12 AM - Sandro Santilli

Indeed no qwebview.h

I belive that part is in a package called libQtWebKit-devel.

Qgis should check for qwebview.h existance and warn/error at configure time if it's mandatory

#9 - 2010-03-02 12:57 AM - Martin Dobias

The check has been added in svn trunk, commit:c4cb0d3e (SVN r12992).

Can we close the ticket?

#10 - 2010-03-02 02:42 AM - Sandro Santilli
Unfortunately I installed libQtWebKit-devel so can't check it.

Feel free to close if you did test yourself.

#11 - 2010-03-02 02:49 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed
